Subject: Re: [spring] FW: New Version Notification for draft-bonica-6man-comp-rtg-hdr-09.txt

From: Stefano Salsano <[email-masked]>
Date: Wed, 10 Mar 2021 18:45:51 +0100

Il 2020-04-30 16:31, Ron Bonica ha scritto:
> Stefano,
> 
> We have a LINUX implementation that we can share with you.
> 
> Also, some students from Harvey Mudd University have put together a benchmarking methodology.
> 
> I will contact you off-list.

Hi Ron,

this topic has come back to my mind when going through the SPRING 
meeting material... I've not heard anything from you after this message, 
but I'm still interested in working on the topic, is there any 
open-source implementation available?

thank you!

ciao
Stefano

> 
>                                           Ron
> 
> 
> 
> Juniper Business Use Only
> 
> -----Original Message-----
> From: spring <[email-masked]> On Behalf Of Stefano Salsano
> Sent: Thursday, April 30, 2020 10:16 AM
> To: SPRING WG <[email-masked]>; 6man <[email-masked]>
> Subject: Re: [spring] FW: New Version Notification for draft-bonica-6man-comp-rtg-hdr-09.txt
> 
> [External Email. Be cautious of content]
> 
> 
> Il 2019-11-20 20:57, Ron Bonica ha scritto:
>> -----Original Message-----
>> From: [email-masked] <[email-masked]>
>> Sent: Wednesday, November 20, 2019 2:55 PM
>>
>> A new version of I-D, draft-bonica-6man-comp-rtg-hdr-09.txt
>> has been successfully submitted by Ron Bonica and posted to the IETF repository.
> 
> Dear authors of draft-bonica-6man-comp-rtg-hdr-09.txt,
> 
> we are working on the performance evaluation of SRv6 architectures and of their open source implementation
> 
> we would like to include SRm6/CRH in our analysis, do you have an open source implementation of SRm6/CRH ?
> 
> FYI, we have already compared Linux and VPP implementations of SRv6/SRH and published results in these papers:
> 
> - https://urldefense.com/v3/__https://arxiv.org/pdf/2001.06182__;!!NEt6yMaO-gk!SBU8MP13HWZE5BBlvaSUWi8f9tzyGisoOF6RIjbTq4naReGfTp_HhUyPOEkkDnLG$
> - https://urldefense.com/v3/__https://ieeexplore.ieee.org/document/8584976__;!!NEt6yMaO-gk!SBU8MP13HWZE5BBlvaSUWi8f9tzyGisoOF6RIjbTq4naReGfTp_HhUyPOLux8mIj$  (preliminary work)
> 
> we have also released SRPerf, an open source performance evaluation
> framework:
> 
> - https://urldefense.com/v3/__https://srouting.github.io/SRPerf/__;!!NEt6yMaO-gk!SBU8MP13HWZE5BBlvaSUWi8f9tzyGisoOF6RIjbTq4naReGfTp_HhUyPON67SyEp$
> 
> thank you
> Stefano
> 
>> Name:         draft-bonica-6man-comp-rtg-hdr
>> Revision:     09
>> Title:                The IPv6 Compressed Routing
>>       Header (CRH)
>> Document date:        2019-11-20
>> URL:            https://urldefense.com/v3/__https://tools.ietf.org/id/draft-bonica-6man-comp-rtg-hdr-09.txt__;!!NEt6yMaO-gk!SBU8MP13HWZE5BBlvaSUWi8f9tzyGisoOF6RIjbTq4naReGfTp_HhUyPOJfDK14o$
>>
>> Abstract:
>>      This document defines two new IPv6 Routing header types.
>>      Generically, they are called the Compressed Routing Header (CRH).
>>      More specifically, the 16-bit version of the CRH is called the CRH-
>>      16, while the 32-bit version of the CRH is called the CRH-32.  SRm6
>>      nodes use the CRH to steer packets from segment to segment along SRm6
>>      paths.
> 
> --
> *******************************************************************
> Stefano Salsano
> Professore Associato
> Dipartimento Ingegneria Elettronica
> Universita' di Roma Tor Vergata
> Viale Politecnico, 1 - 00133 Roma - ITALY
> 
> https://urldefense.com/v3/__http://netgroup.uniroma2.it/Stefano_Salsano/__;!!NEt6yMaO-gk!SBU8MP13HWZE5BBlvaSUWi8f9tzyGisoOF6RIjbTq4naReGfTp_HhUyPODZuAR74$
> 
> E-mail  : [email-masked]
> Cell.   : +39 320 4307310
> Office  : (Tel.) +39 06 72597770 (Fax.) +39 06 72597435
> *******************************************************************
> 
> _______________________________________________
> spring mailing list
> [email-masked]
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/spring__;!!NEt6yMaO-gk!SBU8MP13HWZE5BBlvaSUWi8f9tzyGisoOF6RIjbTq4naReGfTp_HhUyPOFn6jghM$
> 
> Juniper Business Use Only
> 

-- 
*******************************************************************
Stefano Salsano
Professore Associato
Dipartimento Ingegneria Elettronica
Universita' di Roma Tor Vergata
Viale Politecnico, 1 - 00133 Roma - ITALY

http://netgroup.uniroma2.it/Stefano_Salsano/

E-mail  : [email-masked]
Cell.   : +39 320 4307310
Office  : (Tel.) +39 06 72597770 (Fax.) +39 06 72597435
*******************************************************************